sync_page_range_nolock
Prev | More Memory Management Functions | Next

## Name

sync_page_range_nolock —

## Synopsis

`int sync_page_range_nolock (` | struct inode * | inode,
| struct address_space * | mapping,
| loff_t | pos,
| loff_t | count`)`;

## Arguments

`inode`

  target inode

`mapping`

  target address_space

`pos`

  beginning offset in pages to write

`count`

  number of bytes to write

## Note

Holding i_mutex across `sync_page_range_nolock` is not a good idea as it forces O_SYNC writers to different parts of the same file to be serialised right until io completion.

Prev | Up | Next
sync_page_range | Home | filemap_fdatawait